org.apache.cassandra.transport

## Interface OptionCodec.Codecable<T extends java.lang.Enum<T>>

- All Known Implementing Classes:
    DataType
  Enclosing class:
    OptionCodec<T extends java.lang.Enum<T> & OptionCodec.Codecable<T>>

      public static interface OptionCodec.Codecable<T extends java.lang.Enum<T>>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId(int version)`
    `java.lang.Object` | `readValue(io.netty.buffer.ByteBuf cb, int version)`
    `int` | `serializedValueSize(java.lang.Object obj, int version)`
    `void` | `writeValue(java.lang.Object value, io.netty.buffer.ByteBuf cb, int version)`

- - ### Method Detail

    - #### getId

          int getId(int version)

    - #### readValue

          java.lang.Object readValue(io.netty.buffer.ByteBuf cb,
                                     int version)

    - #### writeValue

          void writeValue(java.lang.Object value,
                          io.netty.buffer.ByteBuf cb,
                          int version)

    - #### serializedValueSize

          int serializedValueSize(java.lang.Object obj,
                                  int version)

Copyright © 2018 The Apache Software Foundation